-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentBigWigs")
L:RegisterTranslations("enUS", function() return {
	["Automatic BigWigs Record"] = true,
	["Save fight data automatically when BigWigs registers a boss kill."] = true,
	
	["Kill: %s"] = true
} end)

-----------------------------------------------------------------------------

local AssessmentBigWigs = Assessment:NewModule("BigWigs", "AceEvent-2.0")
AssessmentBigWigs.db = Assessment:AcquireDBNamespace("BigWigs")
Assessment:RegisterDefaults("BigWigs", "profile", {
	enable = false,
})

-----------------------------------------------------------------------------

local profile

-----------------------------------------------------------------------------

Assessment.Options.args.data.args.automaticBigWigsRecord =
{
	type = "toggle",
	name = L["Automatic BigWigs Record"],
	desc = L["Save fight data automatically when BigWigs registers a boss kill."],
	get = function() return profile.enable end,
	set = function(v) profile.enable = v AssessmentBigWigs:OnEnable() end,
}

-----------------------------------------------------------------------------

function AssessmentBigWigs:OnInitialize()
	profile = self.db.profile
end

function AssessmentBigWigs:OnEnable()
	if profile.enable then
		self:RegisterEvent("BigWigs_RecvSync")
	else
		self:CancelEvent("BigWigs_RecvSync")
	end
end

function AssessmentBigWigs:BigWigs_RecvSync(sync, module)
	if sync == "BossDeath" and type(module) == "string" then
		Assessment:CopyFightData((L["Kill: %s"]):format(module), 1)
	end
end

-----------------------------------------------------------------------------
