-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")
local L = AceLibrary("AceLocale-2.2"):new("AssessmentUnitData")
L:RegisterTranslations("enUS", function() return {
    ["Group Health"] = true,
    ["Group Mana"] = true,
} end)

-----------------------------------------------------------------------------

Assessment.TagData.health =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitHealth(unitid)
			 end,
	events			= "UNIT_HEALTH",
	numeric			= true,
	guaranteeResult = true
}

Assessment.TagData.healthfraction =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitHealth(unitid) / UnitHealthMax(unitid)
			 end,
	events			= "UNIT_HEALTH",
	numeric			= true,
	guaranteeResult = true
}

Assessment.TagData.power =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitMana(unitid)
			 end,
	events			= "UNIT_MANA",
	numeric			= true,
	guaranteeResult = true
}

Assessment.TagData.powerfraction =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitMana(unitid) / UnitManaMax(unitid)
			 end,
	events			= "UNIT_MANA",
	numeric			= true,
	guaranteeResult = true
}

Assessment.TagData.powertype =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitPowerType(unitid)
			 end,
	events			= "UNIT_DISPLAYPOWER",
	numeric			= true,
	guaranteeResult = true
}

-----------------------------------------------------------------------------

Assessment.DefaultDisplaySets.GroupHealth =
{
	titleTag		= "Group Health",
	listType		= "GroupMembers", 
	barValueTag		= "healthFraction",
	filterTag		= "1",
	fightIndex		= 0,
	text			= { { }, { tag= "[(barValue*100):percent]" } },
	description		= L["Group Health"],
	colorTypeList	= { "DamageType", count = 1 },
	favorite		= false,
}

Assessment.DefaultDisplaySets.GroupMana =
{
	titleTag		= "Group Mana",
	listType		= "GroupMembers", 
	barValueTag		= "powerFraction",
	filterTag		= "powerType == 0",
	fightIndex		= 0,
	text			= { { }, { tag= "[(barValue*100):percent]" } },
	description		= L["Group Mana"],
	colorTypeList	= { "DamageType", count = 1 },
	favorite		= false,
}

-----------------------------------------------------------------------------
